Subject: Re: B19: Link error between libs linked with -l
From: [email-masked] (Mumit Khan)

28 Sep 1998 03:10:14 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: Adam Chlipala <[email-masked]>
Cc: [email-masked]

On Sun, 27 Sep 1998, Adam Chlipala wrote:

> When I do something like the following:
> gcc file.c -l1 -l2
> I get linker errors involving functions found in 1 and used in 2.  When
> I move a lib to the cwd and do:
> gcc file.c lib1.a -l2
> all is well.  Am I doing something incorrectly here or is this a bug?

When you use -l<libname>, you must also supply a -L<dirname> to tell
the linker where to find it (unless it's in one of the standard or
default directories).
  
  $ gcc file.c -L. -l1 -l2 

will fix your problem.

Mumit

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".